# G1BILLET

## Présentation
Ce code est un générateur de G1BILLETS

Il lance la fabrication de six "G1 Portefeuilles" vides à remplir soi-même !
Les G1Billets sont assemblés dans un fichier PDF pour les imprimer facilement sur une imprimante A4

Avant de vous en servir, utilisez Cesium pour flasher le QR Code et effectuer le virement correspondant à son montant sur chaque portefeuille.
Ensuite, offrez ces G1 Billets à qui vous voulez.

Son détenteur peut alors utiliser l'identifiant/mot de passe pour accéder au portefeuille correspondant.

[DEMO EN VIDEO](https://tube.p2p.legal/videos/watch/c38adbb0-6825-4d24-a658-7447188e0c8e)

## Utilisation
Pour une utilisation en ligne de commande, adaptez ces quelques lignes

```
Montant=5 # Valeur faciale à indiquer sur le billet
NomFichier="nom_unique_du_pdf" # Correspond au nom du fichier créé dans /tmp/g1billet/
./G1BILLETS.sh "$Montant" "$NomFichier"
```

Pour personnaliser vos G1Billets, modifiez les images dans le répertoire du même nom (en conservant les dimensions)
La fabrication de la planche de G1Billets depuis un site web...

## Installation

Pour Linux le seul système d'opération qui respecte votre liberté
Ma recommandation: [Linux Mint](https://www.linuxmint.com/) ou [TwisterOS](https://twisteros.com/) 

```
# Installer git
sudo apt install git
```


```
# Cloner le code de G1BILLET
mkdir -p $HOME/bin/
cd $HOME/bin/
git clone https://git.p2p.legal/qo-op/G1BILLET.git
cd G1BILLET

```

Ajoutez les dépendances nécessaire 

```
sudo apt install imagemagick qrencode 
pip3 install duniterpy
```

NB: Si une erreur du type "not autorized" apparait, vous devez autoriser la création de pdf en editant /etc/ImageMagick-6/policy.xml pour commenter la ligne:
```
<!-- <policy domain="coder" rights="none" pattern="PDF" /> -->
```

## Support

En créant ces G1Billets, vous devenez tiers de confiance...

Réalisé et offert dans l'espoir que la(/les) monnaie(s) libre(s) deviennent réalité.

Invitez celles et ceux à qui vous offrez ces G1 Billets à ouvrir un compte sur [GCHANGE](https://gchange.fr) et à proposer leurs services, objets et créations.

Merci pour vos encouragements et/ou vos dons
* [JUNE](https://demo.cesium.app/#/app/wot/DsEx1pS33vzYZg4MroyBV9hCw98j1gtHEhwiZ5tK7ech/Fred)
* [UNL](https://opencollective.com/monnaie-libre)
* [PAYPAL](https://www.paypal.com/paypalme/QWANTIC)

Vous avez des questions? Contactez [Fred](mailto:support@qo-op.com)


Ce code écrit en bash est un recyclage simplifié de celui utilisé dans [g1sms](https://git.p2p.legal/axiom-team/G1sms)

---

[G1SMS](https://g1sms.fr)
